Skip to main content
PUT
/
adjustments
/
{adjustment}
Update an adjustment
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/adjustments/{adjustment} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expected_amount": 1000
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/adjustments/{adjustment}"

payload = { "expected_amount": 1000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expected_amount: 1000})
};

fetch('https://sandbox.nmbr.co/services/payroll/adjustments/{adjustment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "adjustment",
  "data": {
    "source_line_item": {
      "id": "<id>",
      "object": "earning_line_item",
      "data": {
        "pay_stub": {
          "id": "<id>",
          "object": "pay_stub",
          "links": {
            "self": "/pay_stubs/<id>"
          }
        },
        "amount": 10000,
        "custom_amount": null,
        "managed_amount": 10000,
        "is_managed": true,
        "line_item_type": "earning",
        "earning_type": {
          "id": "<id>",
          "object": "earning_type",
          "data": {
            "type": "salary",
            "label": "Salary",
            "supported_payroll_types": {
              "regular": true,
              "historical": true,
              "off_cycle": true
            }
          },
          "links": {
            "self": "/earning_types/salary"
          }
        },
        "hours": 173.33,
        "managed_hours": 173.33,
        "custom_hours": null,
        "accrued_vacation_pay": 0,
        "recurrence": {
          "id": "<id>",
          "object": "pay_rate",
          "links": {
            "self": "/pay_rates/<id>"
          }
        },
        "pay_rate": {
          "id": "<id>",
          "object": "pay_rate",
          "links": {
            "self": "/pay_rates/<id>"
          }
        },
        "overtime_rate": null,
        "title": "Salary Rate",
        "title_translations": null,
        "title_translated": "Salary Rate",
        "expense_accounting_code": null,
        "managed_expense_accounting_code": null,
        "custom_expense_accounting_code": null,
        "liability_accounting_code": null,
        "managed_liability_accounting_code": null,
        "custom_liability_accounting_code": null,
        "business_preset": null,
        "source_adjustment": null,
        "component_settings": {
          "attributes_locked": false
        },
        "earned_on": null,
        "managed_earned_on": null,
        "custom_earned_on": null,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/earning_line_items/<id>"
      }
    },
    "correction_line_item": {
      "id": "<id>",
      "object": "earning_line_item",
      "data": {
        "pay_stub": {
          "id": "<id>",
          "object": "pay_stub",
          "links": {
            "self": "/pay_stubs/<id>"
          }
        },
        "amount": -9000,
        "custom_amount": null,
        "managed_amount": -9000,
        "is_managed": false,
        "line_item_type": "earning",
        "earning_type": {
          "id": "<id>",
          "object": "earning_type",
          "data": {
            "type": "salary",
            "label": "Salary",
            "supported_payroll_types": {
              "regular": true,
              "historical": true,
              "off_cycle": true
            }
          },
          "links": {
            "self": "/earning_types/salary"
          }
        },
        "hours": null,
        "managed_hours": null,
        "custom_hours": null,
        "accrued_vacation_pay": 0,
        "recurrence": null,
        "pay_rate": null,
        "overtime_rate": null,
        "title": "Salary Rate Adjustment",
        "title_translations": {
          "en": "Salary Rate Adjustment",
          "fr": "Rajustement Salary Rate"
        },
        "title_translated": "Salary Rate Adjustment",
        "expense_accounting_code": null,
        "managed_expense_accounting_code": null,
        "custom_expense_accounting_code": null,
        "liability_accounting_code": null,
        "managed_liability_accounting_code": null,
        "custom_liability_accounting_code": null,
        "business_preset": null,
        "source_adjustment": {
          "id": "<id>",
          "object": "adjustment",
          "links": {
            "self": "/adjustments/<id>"
          }
        },
        "component_settings": {
          "attributes_locked": false
        },
        "earned_on": null,
        "managed_earned_on": null,
        "custom_earned_on": null,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/earning_line_items/<id>"
      }
    },
    "correction_pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "type": "earning",
    "subtype": "salary",
    "expected_amount": 1000,
    "admin_note": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/adjustments/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

adjustment
string
required

Body

application/json
correction_pay_stub_id
string
expected_amount
number<decimal>
Required range: -99999 <= x <= 99999
admin_note
string | null
external_ref
string
Maximum string length: 255

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("adjustment").

data
Adjustment · object